package com.safeway.epe.client;


import com.safeway.epe.domain.ConsumerPayload;
import com.safeway.epe.domain.TransactionPayload;
import feign.Headers;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "service", url = "${schema.api.baseurl}")
@Headers({"User-Agent:Producer","Accept:application/vnd.kafka.v2+json"})
public interface ProducerServiceProxy
{
    @PostMapping(value="topics/{topic}", consumes = "application/vnd.kafka.json.v2+json")
    ResponseEntity<ConsumerPayload> produceTransactionService(@PathVariable("topic") String topic,
                                                              @RequestBody TransactionPayload transactionPayload);

}
