package com.safeway.epe.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.vladmihalcea.hibernate.type.json.JsonBinaryType;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldDefaults;
import org.hibernate.annotations.Type;
import org.hibernate.annotations.TypeDef;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.UUID;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "transaction_recorder")
@TypeDef(
        name = "jsonb",
        typeClass = JsonBinaryType.class
)
public class TransactionRecorder
{
    @Id
    @Column(name = "uuid")
    @JsonProperty("uuid")
    UUID uuid;
    @Column(name = "offertransactionresponse")
    String offerTransactionResponse;
    @Column(name="offers")
    String offers;
    @Column(name="isprocessed")
    boolean isProcessed;
}
