package com.safeway.epe.repository;

import com.safeway.epe.domain.TransactionRecorder;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.UUID;

@Repository
public interface TransactionRepository extends CrudRepository<TransactionRecorder, UUID>
{
    @Modifying
    @Transactional
    @Query("update TransactionRecorder TR set TR.isProcessed=:processedFlag WHERE TR.uuid=:transactionId")
    int updateProcessedFlagByTransactionId(@Param("processedFlag") boolean processedFlag, @Param("transactionId") UUID transactionId);

    List<TransactionRecorder> findByIsProcessed(boolean processedFlag);

}
