package com.safeway.epe.util;

import com.safeway.epe.domain.TransactionRecorder;
import com.safeway.epe.repository.TransactionRepository;
import com.safeway.epe.service.TransactionServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.util.CollectionUtils;
import java.util.List;

@Configuration
public class StoreScheduler
{
    @Autowired
    TransactionRepository transactionRepository;

    @Autowired
    private TransactionServiceImpl transactionService;

    @Scheduled(fixedRateString = "${offertransaction.reprocess.timedelay}",initialDelay = 77777)
    public void processTransactionData(){
        List<TransactionRecorder> transactionRecords =  transactionRepository.findByIsProcessed(Boolean.FALSE);
        if(!CollectionUtils.isEmpty(transactionRecords)){
            transactionRecords.forEach(transactionRecord -> {
                transactionService.sendData(transactionRecord,true);
            });
        }
    }

}
