package com.safeway.epe.util;

import com.safeway.epe.domain.TransactionRecorder;
import org.junit.jupiter.api.extension.ExtensionContext;
import org.junit.jupiter.params.provider.Arguments;
import org.junit.jupiter.params.provider.ArgumentsProvider;

import java.util.UUID;
import java.util.stream.Stream;

public class TransactionServiceArgumentProvider implements ArgumentsProvider {

    String transactionId = "0ed78832-ea04-4062-b7dd-35c6c903c44c";
    UUID uuid = UUID.fromString(transactionId);
    @Override
    public Stream<? extends Arguments> provideArguments(ExtensionContext context) throws Exception {
        return Stream.of(createTransactionRecorder(uuid)).map(Arguments::of);
    }

    static TransactionRecorder createTransactionRecorder(UUID uuid) {
        TransactionRecorder transactionRecorder = new TransactionRecorder();
        transactionRecorder.setUuid(uuid);
        transactionRecorder.setProcessed(true);
        transactionRecorder.setOffers("offers");
        transactionRecorder.setOfferTransactionResponse("TransactionResponse");
        return transactionRecorder;
    }
}
